#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire10seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 10"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire10seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven104xi            # 10   - 90 



#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
         
shot2seven104xi = {
                1:'-10x-11y36z',
                2:'-10x-12y36z',
                3:'-10x-13y36z',
                4:'-10x-15y6z',
                5:'-10x-15y7z',
                6:'-11x-10y36z',
                7:'-11x-14y7z',
                8:'-11x-8y37z',
                9:'-11x-9y37z',
                10:'-12x-13y7z',
                11:'-12x-60y33z',
                12:'-13x-13y7z',
                13:'-15x-59y33z',
                14:'-18x-58y34z',
                15:'-1x-1y89z',
                16:'-1x-28y7z',
                17:'-20x-47y30z',
                18:'-21x-56y34z',
                19:'-23x-45y30z',
                20:'-25x-44y31z',
                21:'-27x-42y31z',
                22:'-29x-40y32z',
                23:'-2x-25y42z',
                24:'-2x-62y31z',
                25:'-31x-39y32z',
                26:'-33x-37y33z',
                27:'-34x-20y30z',
                28:'-34x-35y33z',
                29:'-35x-16y31z',
                30:'-35x-18y30z',
                31:'-36x-10y32z',
                32:'-36x-12y31z',
                33:'-36x-14y31z',
                34:'-36x-33y34z',
                35:'-36x-8y32z',
                36:'-37x-30y34z',
                37:'-37x-70y0z',
                38:'-38x-28y35z',
                39:'-3x-18y5z',
                40:'-3x-24y43z',
                41:'-3x-28y7z',
                42:'-40x-26y35z',
                43:'-40x-68y0z',
                44:'-44x-66y0z',
                45:'-47x-64y1z',
                46:'-4x-18y5z',
                47:'-4x-24y43z',
                48:'-4x-28y8z',
                49:'-51x-61y2z',
                50:'-54x-58y3z',
                51:'-57x-55y4z',
                52:'-5x-18y6z',
                53:'-5x-23y43z',
                54:'-60x-52y4z',
                55:'-62x-30y7z',
                56:'-62x-49y5z',
                57:'-63x-27y8z',
                58:'-65x-24y9z',
                59:'-65x-46y6z',
                60:'-66x-20y9z',
                61:'-67x-17y10z',
                62:'-67x-42y7z',
                63:'-69x-38y8z',
                64:'-6x-17y35z',
                65:'-6x-17y6z',
                66:'-6x-22y43z',
                67:'-6x-62y31z',
                68:'-6x-6y3z',
                69:'-7x-16y35z',
                70:'-7x-17y35z',
                71:'-7x-17y6z',
                72:'-7x-4y4z',
                73:'-7x-5y4z',
                74:'-8x-15y35z',
                75:'-8x-16y6z',
                76:'-8x-1y28z',
                77:'-8x-1y4z',
                78:'-8x-2y28z',
                79:'-8x-2y4z',
                80:'-8x-3y28z',
                81:'-8x-3y4z',
                82:'-8x-4y28z',
                83:'-8x-5y28z',
                84:'-8x-6y27z',
                85:'-8x0y5z',
                86:'-9x-13y36z',
                87:'-9x-14y36z',
                88:'-9x-16y6z',
                89:'-9x-4y28z',
                90:'-9x-61y32z',
                91:'0x-1y29z',
                92:'0x-26y42z',
                93:'0x-29y7z',
                94:'0x-62y30z',
                95:'0x0y89z'}
              
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire10seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire10seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE10SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE10SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE10SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE10SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE10SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven104xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE10SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE10SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE10SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven104xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven104xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE10SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE10SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE10SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire10seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

